# coding: utf-8

"""
    RCABench API

    RCABench - A comprehensive root cause analysis benchmarking platform for microservices This API provides endpoints for managing datasets, algorithms, evaluations, and fault injections for root cause analysis in distributed systems and microservices architectures.

    The version of the OpenAPI document: 1.0.1
    Contact: team@rcabench.com
    Generated by OpenAPI Generator (https://rcabench.openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictInt, StrictStr
from typing import Any, ClassVar, Dict, List, Optional
from typing_extensions import Annotated
from typing import Optional, Set
from typing_extensions import Self

class DtoListInjectionsReq(BaseModel):
    """
    DtoListInjectionsReq
    """ # noqa: E501
    batches: Optional[List[StrictStr]] = None
    benchmarks: Optional[List[StrictStr]] = None
    custom_end_time: Optional[StrictStr] = None
    custom_start_time: Optional[StrictStr] = None
    envs: Optional[List[StrictStr]] = Field(default=None, description="Label filter parameters (optional)")
    fault_types: Optional[List[StrictInt]] = None
    ids: Optional[List[StrictInt]] = None
    lookback: Optional[StrictStr] = None
    names: Optional[List[StrictStr]] = Field(default=None, description="Basic filter parameters (optional)")
    page_num: Annotated[int, Field(strict=True, ge=1)]
    page_size: StrictInt
    statuses: Optional[List[StrictInt]] = None
    task_ids: Optional[List[StrictStr]] = None
    additional_properties: Dict[str, Any] = {}
    __properties: ClassVar[List[str]] = ["batches", "benchmarks", "custom_end_time", "custom_start_time", "envs", "fault_types", "ids", "lookback", "names", "page_num", "page_size", "statuses", "task_ids"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of DtoListInjectionsReq from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        * Fields in `self.additional_properties` are added to the output dict.
        """
        excluded_fields: Set[str] = set([
            "additional_properties",
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # puts key-value pairs in additional_properties in the top level
        if self.additional_properties is not None:
            for _key, _value in self.additional_properties.items():
                _dict[_key] = _value

        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of DtoListInjectionsReq from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "batches": obj.get("batches"),
            "benchmarks": obj.get("benchmarks"),
            "custom_end_time": obj.get("custom_end_time"),
            "custom_start_time": obj.get("custom_start_time"),
            "envs": obj.get("envs"),
            "fault_types": obj.get("fault_types"),
            "ids": obj.get("ids"),
            "lookback": obj.get("lookback"),
            "names": obj.get("names"),
            "page_num": obj.get("page_num"),
            "page_size": obj.get("page_size"),
            "statuses": obj.get("statuses"),
            "task_ids": obj.get("task_ids")
        })
        # store additional fields in additional_properties
        for _key in obj.keys():
            if _key not in cls.__properties:
                _obj.additional_properties[_key] = obj.get(_key)

        return _obj


